struct PS_INPUT{
    float1 Depth			: TEXCOORD0;
};

struct PS_OUTPUT{
	float4 Color			: COLOR;
};

PS_OUTPUT main(const PS_INPUT Input){
	PS_OUTPUT Out;
	Out.Color = float4(Input.Depth, Input.Depth, Input.Depth, Input.Depth);
	return Out;
}
